Bug 112343 - Using custom permissions on Folders don't appear to work
Summary: Using custom permissions on Folders don't appear to work
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-18 00:30 UTC by Richard Su
Modified: 2007-04-18 17:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 17:36:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Su 2003-12-18 00:30:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007

Description of problem:
Setting custom permissions appear to have no affect.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a new role in the system with just Edit and Preview
privileges. Add a new user to that role.
2. Create a new folder in the system. Create a new item in that folder.
3. Login into the system as the new user. Go to the folder that was
created by the other user. Notice that the user can delete and create
items even though the Role they belong to do don't have those
privileges granted.
    

Actual Results:  Non-granted privileges are displayed to users.

Expected Results:  Non-granted privleges should not be displayed to users.

Additional info:

Also noticed that within a folder where you have revoked all
privileges from a particular group. Users within that group are still
able to move and copy items from that folder.

Comment 1 Jon Orris 2006-09-05 17:36:30 UTC
Closing old tickets





Note You need to log in before you can comment on or make changes to this bug.